#<profile4xi profile = "10"/>
# -------------------------------------------------------------------------------------------------
#<program4xi program = "date4xi.py">
#<abstract4xi abstract = "provides date services"/>
#<refer4xi reference = "DragonXi"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
#<verify4xi verification = "30" target = "date4xi.py"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'date4xi' ]
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
try:                 # system ones
    import os
    import sys
    import signal
except:
    pass
try:                 # threading ones       
    import threading                
    import _thread   
except:
    pass
try:
    import _winapi
except:
    pass

                
try:                 # most-common ones
    import datetime
    import time
    from time import gmtime, strftime         
except:
    pass
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from print4xi import print4xi
from time4xi import time4xi
#"
#/>



# -------------------------------------------------------------------------------------------------
#<function4xi function = "date4xi" usage = "
# provides time services
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def date4xi():
    '''
    date4xi function provides date services 
    '''
    class2print = "date4xi"
    method2print = "date4xi"
    
    message2print = "{started" + "; date4xi-started: " + str(date4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    # <function date4xi at 0x0000000002A2E400>
        
    message2print = "{returning" + "; datetime-now-function-returning-by-date4xi: " + str(datetime.datetime.now) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print) 
    # 01:36:48 01/07/13 Pacific Standard Time              
 
    
    return datetime.datetime.now().strftime("%A (%a) %d/%m/%Y")

#</function4xi>
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_date4xi.txt
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 


#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of date4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
